com.independentsoft.exchange

## Enum SubscriptionStatus

- java.lang.Object
- - java.lang.Enum<SubscriptionStatus>
  - - com.independentsoft.exchange.SubscriptionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SubscriptionStatus>

      public enum SubscriptionStatus
      extends java.lang.Enum<SubscriptionStatus>

  Describes the status of a push subscription.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OK` Client Access server will continue to send notifications.
    `UNSUBSCRIBE` Client Access server will stop sending notifications and end the subscription.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubscriptionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SubscriptionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final SubscriptionStatus OK

      Client Access server will continue to send notifications.

    - #### UNSUBSCRIBE

          public static final SubscriptionStatus UNSUBSCRIBE

      Client Access server will stop sending notifications and end the subscription.

  - ### Method Detail

    - #### values

          public static SubscriptionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionStatus c : SubscriptionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null